Bug 1420273

Summary: Wrong processing of UTF-8
Product: [Fedora] Fedora Reporter: Jaroslav Škarvada <jskarvad>
Component: doclifterAssignee: Mario Blättermann <mario.blaettermann>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: mario.blaettermann
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:26:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Manual page in question none

Description Jaroslav Škarvada 2017-02-08 10:27:10 UTC
Created attachment 1248582 [details]
Manual page in question

Description of problem:
It seems that the processing of UTF-8 manual pages doesn't work.

Version-Release number of selected component (if applicable):
doclifter-2.17-1.fc25

How reproducible:
Always

Steps to Reproduce:
1. doclifter tuned.8


Actual results:
XML file with strange strings instead of UTF-8, e.g.:
Jan VÄ.elĂĄk

Expected results:
Correct UTF-8 strings like:
Jan Včelák

Additional info:
I have also tried multiple options combinations without success like:
$ doclifter -vi"UTF-8,ISO-8859-2" -e"UTF-8" tuned.8
 doclifter -vi"ISO-8859-2,UTF-8" tuned.8

Even stranger for:
$ doclifter -vi"UTF-8" tuned.8
tuned.8 uses man macros...
"tuned.8", line 78: Unicode decoding error

$ wc -l tuned.8
77 tuned.8

So where's the line 78?

$ uchardet tuned.8
UTF-8

Comment 1 Jaroslav Škarvada 2017-02-08 11:05:21 UTC
I got it right by using:
$ recode 'UTF-8..ISO-8859-2' ./tuned.8
$ doclifter -vi'ISO-8859-2' tuned.8

Comment 2 Fedora End Of Life 2017-11-16 19:48:45 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:26:48 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.